jQuery(document).ready(function($) {
	// tabs/panels
	$('#content, .panel').tabs({ fx: { 
		opacity:'toggle', 
		duration: 200 }, 
		cache: false 
	});
	
	// colorpicker
	$('.colorInput').live('blur', function(){
		var temp = $(this);
		if(temp.val() == ''){
			var color = "#ffffff";	
		} else {
			var color = "#"+temp.val().replace("#","");	
		}
		temp.parent().find("span.selectColor").ColorPickerSetColor(temp.val()).css('background-color',color);
	});
	$('span.selectColor').ColorPicker({
		onBeforeShow: function(hsb, hex, rgb){
			current_obj = this;
			$(this).ColorPickerSetColor($(this).parent().find(".colorInput").val());
		},
		onShow: function (colpkr) {
			$(colpkr).fadeIn(200);
			return false;
		},
		onHide: function (colpkr) {
			var temp = $(current_obj);
			var val = $(colpkr).find(".colorpicker_hex input[type=text]").val();
			temp.css({'background-color':"#"+val});
			temp.parent().find("input[type=text]:first").val("#"+val);
			$(colpkr).fadeOut(200);
			return false;
		} 
	});

// hide update notifications
	jQuery(".hide_msg").live('click',function() {
		var reply = confirm("If you disable this message, you will no longer receive update notices for any future updates available.  Are you sure?");
		if (reply) {	
			jQuery("#checkbox-hide-update-notification").attr('checked','checked');
			show_alert();
			var form = $('#sp-panel').serialize();
			var $data = {
			action: "sp_theme_save",
			form_items: form,
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				jQuery('p.update').fadeOut(300);
				hide_alert('done');
			});  
		}
			
		
	});
	
// tooltip for platform icons
	var tip;
	jQuery(".tooltip").hover(function(){

		//Caching the tooltip and removing it from container; then appending it to the body
		tip = jQuery(this).find('.tip').remove();
		jQuery('body').append(tip);

		tip.fadeTo(400,0.6); //Show tooltip

	}, function() {

		tip.hide().remove(); //Hide and remove tooltip appended to the body
		jQuery(this).append(tip); //Return the tooltip to its original position

	}).mousemove(function(e) {
	//console.log(e.pageX)
		if( typeof(tip) !== "undefined") {
		  var mousex = e.pageX + 20; //Get X coodrinates
		  var mousey = e.pageY + 20; //Get Y coordinates
		  var tipWidth = tip.width(); //Find width of tooltip
		  var tipHeight = tip.height(); //Find height of tooltip

		 //Distance of element from the right edge of viewport
		  var tipVisX = jQuery(window).width() - (mousex + tipWidth);
		  var tipVisY = jQuery(window).height() - (mousey + tipHeight);

		if ( tipVisX < 20 ) { //If tooltip exceeds the X coordinate of viewport
			mousex = e.pageX - tipWidth - 20;
			jQuery(this).find('.tip').css({  top: mousey, left: mousex });
		} if ( tipVisY < 20 ) { //If tooltip exceeds the Y coordinate of viewport
			mousey = e.pageY - tipHeight - 20;
			tip.css({  top: mousey, left: mousex });
		} else {
			tip.css({  top: mousey, left: mousex });
		}
	  }
	});

// show loading
	function show_alert() {
		jQuery(".alert").addClass("loading").fadeIn(600);	
	}

// hide loading	
	function hide_alert(status) {
		if(status == 'errors') {
			status = 'errors';	
		} else {
			status = 'done';	
		}
		jQuery(".alert").removeClass("loading").addClass(status).delay(800).fadeOut(600, function(){
			jQuery(this).removeClass(status);											   
		});	
	}

// save	
	 jQuery('#sp-panel').submit(function(e){
		 	e.preventDefault();
		 	show_alert();
			var form = $('#sp-panel').serialize();
			var $data = {
			action: "sp_theme_save",
			form_items: form,
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				//alert("inside ajax");
				//alert(response);
				//jQuery('.image-preview').css("display","none");
				hide_alert(response);
			});  
	});



// uploadify	
	jQuery(".image-upload").each(function(){
		jQuery("#" + jQuery(this).attr('id')).uploadify({
			"uploader"      : framework_url + "uploadify/uploadify.swf",
			"script"        : sp_theme.ajaxurl,
			"cancelImg"     : framework_url + "uploadify/uploadify-cancel.png",
			"folder"        : site_url + "wp-content/uploads/sp-uploads",
			"scriptData"	: {"action":"sp_theme_upload", "ajax_custom_nonce" : sp_theme.ajax_custom_nonce, "id" : jQuery(this).attr('id')},
			"method"		: "POST",
			"hideButton"	: true,
			"wmode"			: "transparent",
			"fileDesc"		: "Image Files",
			"fileExt"		: "*.jpg;*.jpeg;*.gif;*.png;*.bmp;*.ico;",
			"multi"			: false,
			"auto"          : true,
			"queueID"		: 'queue-'+jQuery(this).attr('id'),
			"onComplete" : function(event, ID, fileObj, response, data) {
			var image_id = response.replace(/-1|0/,'');
			var image_path = fileObj.filePath.replace(/\s/g,'-');
			jQuery('input[name='+image_id+']').val(image_path);
			jQuery('#queue-'+image_id).html('Your image is uploaded, please click on "Save All"').css("display","block").css("color","red");
			jQuery('#delete-' + image_id).attr('title',fileObj.name).css("display","block");
			}
		 });
	});
	
// remove image
	jQuery(".remove-image").live('click',function(e) {
		e.preventDefault();
		var image_name = jQuery(this).attr('title');
		var image_id = jQuery(this).attr('id');
		image_id = image_id.replace(/delete-/i,'');
		var reply = confirm("Delete image permanently?");
		if (reply) {
			show_alert();
			var $data = {
			action: "sp_delete_image",
			image: image_name,
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				if (response == 'true') {
					jQuery('#delete-' + image_id).css("display","none");
					jQuery('input[name='+image_id+']').val('');
					//jQuery('#queue-'+image_id+' img').attr('src','').css("display","none");
					jQuery('#queue-'+image_id).css("display","none");
					jQuery('.current-image-'+image_id).css("display","none");
					hide_alert('done');
				} else {
					hide_alert('errors');
				}
			});  
		}
	});
	
// reset settings
	jQuery('#sp-panel .reset').click(function(e) {
		e.preventDefault();
		var reply = confirm("Are you sure you want to reset to theme default settings?");
		if (reply) {
			show_alert();
			var $data = {
			action: "sp_theme_reset",
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				if (response == 'done') {
					hide_alert('done');
					window.location = "admin.php?page=sp";
				} else {
					hide_alert('errors');
				}
			}); 
		}
	});

// empty timthumb cache folder
	jQuery('#sp-panel .clear_cache').click(function(e) {
		e.preventDefault();
		var reply = confirm("Are you sure you want to empty the image cache folder?");
		if (reply) {
			show_alert();
			var $data = {
			action: "sp_clear_cache_ajax",
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				if (response == 'done') {
					hide_alert('done');
				} else {
					hide_alert('done');
				}
			}); 
		}
	});

// clear product star ratings
	jQuery('#sp-panel .clear_star_ratings').click(function(e) {
		e.preventDefault();
		var reply = confirm("Are you sure you want to clear ALL product star ratings?");
		if (reply) {
			show_alert();
			var $data = {
			action: "sp_clear_star_ratings_ajax",
			ajax_custom_nonce : sp_theme.ajax_custom_nonce
			};
			jQuery.post(sp_theme.ajaxurl, $data, function(response) {
				if (response == 'done') {
					hide_alert('done');
				} else {
					hide_alert('done');
				}
			}); 
		}
	});

// homepage slider count switch (this is horendous...need to revise)
	jQuery('#homepage_slide_count').change(function() {
		var items = jQuery(this).val();
		var item1 = jQuery('#homepage_product1').parent('p');
		var item2 = jQuery('#homepage_product2').parent('p');
		var item3 = jQuery('#homepage_product3').parent('p');
		var item4 = jQuery('#homepage_product4').parent('p');
		
		if (items == '1') {
			item4.fadeOut(200);
			item3.fadeOut(400);
			item2.fadeOut(600);	
			
			item1.fadeIn(400);
		}
		
		if (items == '2') {
			item4.fadeOut(400);
			item3.fadeOut(600);	
			
			item2.fadeIn(400);
			item1.fadeIn(200);
		}
		
		if (items == '3') {
			item4.fadeOut(400);
			
			item3.fadeIn(400);
			item2.fadeIn(300);
			item1.fadeIn(200);	
		}
		
		if (items == '4') {
			item4.fadeIn(800);
			item3.fadeIn(600);
			item2.fadeIn(400);
			item1.fadeIn(200);	
		}
	});
	
// footer widget switch
	jQuery('#sp-panel .footer_widgets').click(function(e) {
		e.preventDefault();
		var selected = jQuery(this).attr('id');
		jQuery('#sp-panel .footer_widgets img').removeClass('selected');
		jQuery(this).find('img').addClass('selected');
		jQuery('#sp-panel #footer_widget_hidden_value').val(selected);
	});

// skins switch
	jQuery('#sp-panel .skins').click(function(e) {
		e.preventDefault();
		var selected = jQuery(this).attr('id');
		jQuery('#sp-panel .skins').removeClass('selected');
		jQuery(this).addClass('selected');
		jQuery('#sp-panel #hidden_skins_value').val(selected);
	});

// homepage custom slider
	jQuery("#homepage_custom_slide_count").change(function() {
		var currSelection = jQuery("option:selected",this).val();
		jQuery("div[class^='homepage_featured_slide_']").show().filter(":gt("+(parseInt(jQuery(this).val()) -1 )+")").hide();
	}).change();

// end document ready
});

