<?php
/**
* SP FRAMEWORK FILE - DO NOT EDIT!
* 
* sets the intial configuration of the framework
******************************************************************/

/**
* set the global variables for the framework
*
******************************************************************/
global $wpdb, $sp_framework_version, $data, $notification, $themeinfo, $config;

/**
* assign theme info to variable
* returns array
*
******************************************************************/
	$themeinfo = get_theme_data(TEMPLATEPATH . '/style.css');

/**
* define constants
*
******************************************************************/
	$sp_framework_version = "1.3.2";
	define('THEME_SHORTNAME',"sp_".strtolower(preg_replace('~\s.*~', '', $themeinfo['Name'])."_"));

/**
* checks the versions on load
*
******************************************************************/
	// checks only on admin side
	if (is_admin()) {
	  if (function_exists('sp_check_version')) {
		  sp_check_version();
	  }
	}

/**
* redirect to theme settings page on theme activation
*
******************************************************************/
	if (is_admin() && isset($_GET['activated']) && $pagenow == "themes.php"){
		wp_redirect( admin_url('admin.php?page=sp') );
	}

/**
* initialize the database and get data
*
******************************************************************/
	init_db();
	$data = get_data();

/**
* get theme specific config xml
*
******************************************************************/
	$file = fopen(TEMPLATEPATH.'/config.xml', 'r');
	$config = fread($file, filesize(TEMPLATEPATH.'/config.xml'));	
	fclose($file);
	$config = xml2array($config);
	$config = $config['config'];

/**
* run the admin options function
*
******************************************************************/
	if (current_user_can('manage_options')) {
		add_action('admin_menu','sp_admin_menu');	
	}

/**
* load default theme settings on theme load
*
******************************************************************/
add_action('switch_theme', 'sp_load_defaults');

// function is run before init
if (!function_exists('sp_load_defaults')) :
	
	function sp_load_defaults() {
		global $wpdb, $themeinfo;
		if(!$wpdb->get_row("SELECT * FROM ".$wpdb->options." WHERE option_name = '".$themeinfo['Name']."_sp_data'")) {
			sp_theme_reset();
		}
	}
endif;

?>