<?php
/**
 * The User Account Theme.
 *
 * Displays everything within the user account.  Hopefully much more useable than the previous implementation.
 *
 * @todo This basically shows 'screens' for each of the following: Purchase History, Your Details, Downloads.  Could argue that these should be separate templates.
 *
 * @package WPSC
 * @since WPSC 3.8
 */
global $files, $separator, $purchase_log, $col_count, $products, $links; ?>
<script type="text/javascript">
	function show_details_box(id,image_id) {
			/* base url */
	state = document.getElementById(id).style.display;
	if(state != 'block') {
		document.getElementById(id).style.display = 'block';
		document.getElementById(image_id).src = WPSC_CORE_IMAGES_URL + "/icon_window_collapse.gif";
	} else {
		document.getElementById(id).style.display = 'none';
		document.getElementById(image_id).src = WPSC_CORE_IMAGES_URL + "/icon_window_expand.gif";
	}
	return false;
	
	}

</script>
<div class="myaccount">
	<div class="user-profile-links">
    	<?php if (is_user_logged_in()) : ?>
		<a href="<?php echo get_option( 'user_account_url' ); ?>"><?php _e('Purchase History','sp'); ?></a> |
		 <a href="<?php echo get_option( 'user_account_url' ) . $separator . "edit_profile=true"; ?>"><?php _e('Your Details','sp'); ?></a> 
        <?php endif; ?>
        <?php if ( wpsc_has_downloads() && is_user_logged_in() ) { ?>
        | <a href="<?php echo get_option( 'user_account_url' ) . $separator . "downloads=true"; ?>"><?php _e('Your Downloads','sp'); ?></a>
        <?php } ?>
        <?php if (!is_user_logged_in()) : ?>
        	<p><?php _e('Please login to see your account information.', 'sp'); ?></p>
        <?php endif; ?>
		<?php do_action('wpsc_additional_user_profile_links', '|'); ?>
	</div><!--close user-profile-links-->

	<!-- 	START OF PROFILE PAGE -->
	<?php if ( is_wpsc_profile_page() ) : ?>

		<form method="post" class="profile-form">

			<?php echo validate_form_data(); ?>

			<table>

				<?php wpsc_display_form_fields(); ?>

				<tr>
					<td></td>
					<td>
						<input type="hidden" value="true" name="submitwpcheckout_profile" />
						<input type="submit" value="<?php _e( 'Save Profile', 'sp' ); ?>" name="submit" />
					</td>
				</tr>
			</table>
		</form>
	<!-- 	START OF DOWNLOADS PAGE -->
	<?php elseif ( is_wpsc_downloads_page() ) : ?>

		<?php if ( wpsc_has_downloads() ) : ?>

				<table class="logdisplay">
					<tr>
						<th><?php _e( 'File Names', 'sp' ); ?> </th>
						<th><?php _e( 'Downloads Left', 'sp' ); ?> </th>
						<th><?php _e( 'Date', 'sp' ); ?> </th>
					</tr>

					<?php
						$i = 0;
						foreach ( (array)$files as $file ) :

							$alternate = "";

							if ( ( $i % 2 ) != 1 )
								$alternate = "class='alt'";
					?>

							<tr <?php echo $alternate; ?>>
								<td>
					<?php
						if ( $products[$i]['downloads'] > 0 )
						
							echo "<a href = " . get_option('siteurl')."?downloadid=".$products[$i]['uniqueid'] . ">" . $file['post_title'] . "</a>";
						else
							echo $file['post_title'] . "";

					?>

								</td>
								<td><?php echo $products[$i]['downloads']; ?></td>
								<td><?php echo date( get_option( "date_format" ), strtotime( $products[$i]['datetime'] ) ); ?></td>
							</tr>
					<?php
							$i++;
						endforeach;
					?>

				</table>
		<?php else : ?>

			<?php _e( 'You have not purchased any downloadable products yet.', 'sp' ); ?>

		<?php endif; ?>
	<!-- 	START OF PURCHASE HISTORY PAGE -->
	<?php else : ?>
		
		<?php if ( is_user_logged_in() ) : ?>

			<?php if ( wpsc_has_purchases() ) : ?>

				<table class="logdisplay">

				<?php if ( wpsc_has_purchases_this_month() ) : ?>
					
						<tr class="toprow">
							<td><strong><?php _e( 'Status', 'sp' ); ?></strong></td>
							<td><strong><?php _e( 'Date', 'sp' ); ?></strong></td>
							<td><strong><?php _e( 'Total', 'sp' ); ?></strong></td>

							<?php if ( get_option( 'payment_method' ) == 2 ) : ?>

								<td><strong><?php _e( 'Payment Method', 'sp' ); ?></strong></td>

							<?php endif; ?>

						</tr>

						<?php wpsc_user_details(); ?>

				<?php else : ?>

						<tr>
							<td colspan="<?php echo $col_count; ?>">

								<?php _e( 'No transactions for this month.', 'sp' ); ?>

							</td>
						</tr>

				<?php endif; ?>

				</table>

			<?php else : ?>

				<table>
					<tr>
						<td><?php _e( 'There have not been any purchases yet.', 'sp' ); ?></td>
					</tr>
				</table>

			<?php endif; ?>

		<?php else : ?>
		<?php echo sp_display_login(); ?>
		<?php endif; ?>

	<?php endif; ?>

</div><!--close myaccount-->
